Subject: Re: [PATCH 1/2] GitHub Actions: update to checkout@v4

From: Junio C Hamano <[email-masked]>
Date: Sat, 03 Feb 2024 09:18:59 -0800

Óscar Domínguez Celada <[email-masked]> writes:

> I am adding non-html e-mail reply to keep track in [email-masked]:
>
> The switch to checkout@v4 for GitHub Actions looks good to me. I
> wonder if we should be updating other actions to v4 so they start
> using Node 20:

No need to wonder.  I only noticed the ones involved in the main CI
job that triggered the warnings, and dealt only with the "easy" ones
;-)  The primary reason why I CC'ed you was because I hoped you knew
better about the "container jobs are pinned at checkout@v1", which I
left as-is.

Help in updating other actions to newer versions, if needed, is greatly
appreciated.